<%@ Page Language="vb" Debug="true"%>
<%@ Import namespace="MyWebServices" %>
<script language="vb" runat="server">
Private Sub getAB(ByVal sender As System.Object, _
	ByVal e As System.EventArgs)
	If txtA.Text<>"" and txtB.Text <>"" then
	    Dim ws As New MyWebServices.MyWebService()
	    	lblResult.Text = "Result: " & _
		ws.AandB(txtA.Text,txtB.Text)	    
	Else
		lblResult.Text="Please enter A and B"
	End if
End Sub
</script>
<html>
    <body>
      <h2>Call Web Services (MyWebService)</h2>
        <form id="Form1" method="post" runat="server">
            	<asp:Label id="lbA"  runat="server" >
	strA: </asp:Label><br />
	<asp:TextBox id="txtA" runat="server">
	</asp:TextBox><br />
	<asp:Label id="lbB" runat="server">
	strB:  </asp:Label><br />
	<asp:TextBox id="txtB"  runat="server" >
	</asp:TextBox><br /><br />   
	<asp:Button  id="cmdSave" runat="server"  
	Text="GetAB" OnClick="getAB">
	</asp:Button>	           
	<br />   
	<asp:Label id="lblResult" runat="server">
	</asp:Label>		
        </form>
    </body>
</html>
